Bug 4949 - ADUC: Problem when creating an object
ADUC: Problem when creating an object
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
http://repo.or.cz/w/Samba/mdw.git?a=c...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 09:01 UTC by Matthias Dieter Wallnöfer
Modified: 2009-07-31 10:59 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-09-02 09:01:29 UTC
If you create a object with the same DN like an existing one, there is displayed an error message "not enough memory". This is'nt very meaningful.
Comment 1 Andrew Bartlett 2007-09-18 07:14:51 UTC
I've reproduced the issue, but I need to do more to figure out what the correct response is here.  We may need the extended LDAP error responses. 
Comment 2 Matthias Dieter Wallnöfer 2007-10-30 01:29:46 UTC
Andrew, I saw you enhanced the error message. What do you think is the best way to do with this issue? Would you leave that and close the bug or are you going to change it another time?
Comment 3 Andrew Bartlett 2008-01-06 23:25:42 UTC
The fix is to rework our LDAP error returns to include AD's extended error information.  I don't know when we will get to that...
Comment 4 Matthias Dieter Wallnöfer 2009-07-28 16:39:57 UTC
Look here for a proposed fix.
Comment 5 Andrew Bartlett 2009-07-28 17:23:47 UTC
This looks *really* good.  

The only thing that I would ask is that you include a torture suite for it.  Use LDB to connect to a server, and try and make a few 'prohibited' modifications, and assert that we get the right error string in the reply.  That way, we won't break this important functionality in the future.

Thanks!
Comment 6 Matthias Dieter Wallnöfer 2009-07-30 03:27:50 UTC
Updated URL
Comment 7 Matthias Dieter Wallnöfer 2009-07-31 10:59:23 UTC
Those error messages "Not enough memory" should be gone.
Unfortunately, we can't and don't follow the exact Windows Server LDAP behaviour (more error messages/codes, tests and checks performed in a different order...). So we have often slightly different error codes between SAMBA 4 and Windows Server for the same problem.
But this bug should be fixed.